package com.plannaplan.responses.mappers;

import static org.junit.jupiter.api.Assertions.assertTrue;

import java.util.Arrays;
import java.util.List;

import com.plannaplan.entities.Groups;
import com.plannaplan.responses.models.AssignmentResponse;

import org.junit.Test;

public class AssignmentResponseMappersTest {
    @Test
    public void shouldReturnNewList() {
        final List<Groups> groups = Arrays.asList(new Groups(), new Groups());
        final List<AssignmentResponse> response = AssignmentResponseMappers
                .mapGroupsListToAssignmentResponseList(groups);

        assertTrue(response.size() == 2);
        assertTrue(response instanceof List);
        assertTrue(response.get(0) instanceof AssignmentResponse);
    }
}
